package com.zfire.jiasm.syncdata.dao.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.zfire.jiasm.syncdata.parameter.InstalDetailCode;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzWgmxJyktTmmxUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzWgmxQitaTmmxUpload;
import com.zfire.jiasm.syncdata.plus.entity.ItfTblAzWgmxSyktTmmxLsUpload;
import com.zfire.jiasm.syncdata.plus.entity.OrderInstallDetailCode;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 安装工单条码明细表 Mapper 接口
 * @author yaozx
 * @since 2023-03-03
 */
public interface CodeOrderInstallDetailMapper extends BaseMapper<OrderInstallDetailCode> {

    List<OrderInstallDetailCode> getId(@Param("request") InstalDetailCode request);
    ItfTblAzWgmxJyktTmmxUpload getJyCode(@Param("request") InstalDetailCode request);
    ItfTblAzWgmxSyktTmmxLsUpload getSyCode(@Param("request") InstalDetailCode request);
    ItfTblAzWgmxQitaTmmxUpload getOtherCode(@Param("request") InstalDetailCode request);
    void updateCodePgguid(@Param("request") InstalDetailCode request);
    void updateCodeOutId(@Param("request") InstalDetailCode request);

    void updateCodeIncodePath(@Param("request") InstalDetailCode request);
    void updateCodeOutcodePath(@Param("request") InstalDetailCode request);

    List<OrderInstallDetailCode> getIdCj(@Param("request") InstalDetailCode request);
    ItfTblAzWgmxSyktTmmxLsUpload getSyCodeCj(@Param("request") InstalDetailCode request);
}
